Comment 61 for bug 1189850

Seems like gentoo has the right patch though, it should be fine. Now if only the other distros also used that patch :(